package nz.co.afor.controller;

import com.codeborne.selenide.WebDriverRunner;
import io.appium.java_client.AppiumDriver;
import nz.co.afor.framework.mobile.Appium;
import nz.co.afor.model.User;
import nz.co.afor.view.HomeView;
import nz.co.afor.view.LoginView;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class LoginController {

    @Autowired
    private Appium appium;

    @Autowired
    private LoginView loginView;

    @Autowired
    private HomeView homeView;

    public void launch() {
        AppiumDriver webDriver = appium.cleanLaunch();
        WebDriverRunner.setWebDriver(webDriver);
    }

    public void login(User user) {
        loginView.getUsernameField().click();
        loginView.getUsernameField().sendKeys(user.getUsername());
        loginView.getPasswordField().click();
        loginView.getPasswordField().sendKeys(user.getPassword());
        loginView.getLoginButton().click();
        homeView.shouldExist();
    }
}
