package nz.co.afor.model;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.exc.InvalidDefinitionException;
import nz.co.afor.framework.Fixture;
import nz.co.afor.framework.FixtureReader;
import nz.co.afor.stereotype.model.AforModel;
import nz.co.afor.stereotype.model.ModelList;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.IOException;
import java.io.InvalidObjectException;
import java.util.HashMap;
import java.util.List;

import static java.lang.String.format;

@AforModel
public class Users extends ModelList<User> {

    @Autowired
    private Fixture fixture;

    public User populate(String userType) throws IOException {
        HashMap<String,User> users = fixture.getFixture("environments/fixtures/users.json", new TypeReference<>() {
        });

        User user = users.get(userType);
        if (null == user)
            throw new InvalidObjectException(format("The user type '%s' is not a valid option in the fixture", userType));

        add(user);
        return user;
    }
}
