package nz.co.afor.view;

import com.codeborne.selenide.ElementsCollection;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import static com.codeborne.selenide.Condition.exist;
import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.$$;

@Component
public class HomeView implements View {

    @Value("${nz.co.afor.view.home.people}")
    private String people;

    @Value("${nz.co.afor.view.home.message}")
    private String message;

    @Value("${nz.co.afor.view.home.send}")
    private String send;

    @Value("${nz.co.afor.view.home.sent}")
    private String sent;

    @Override
    public void shouldExist() {
        $(selector(message)).should(exist.because("The home view should exist"));
    }

    public ElementsCollection getPeople() {
        return $$(selector(people));
    }

    public void sendMessage(String messageToSend) {
        $(selector(message)).click();
        $(selector(message)).sendKeys(messageToSend);
        $(selector(send)).click();
    }

    public void assertMessageSent() {
        $(selector(sent)).should(exist.because("The message sent dialog should be shown"));
    }
}
