package nz.co.afor.view;

import com.codeborne.selenide.SelenideElement;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import static com.codeborne.selenide.Condition.exist;
import static com.codeborne.selenide.Selenide.$;

@Component
public class LoginView implements View {

    @Value("${nz.co.afor.view.login.username}")
    private String username;

    @Value("${nz.co.afor.view.login.password}")
    private String password;

    @Value("${nz.co.afor.view.login.loginButton}")
    private String loginButton;

    @Override
    public void shouldExist() {
        getUsernameField().should(exist.because("The login view should exist"));
    }

    public SelenideElement getUsernameField() {
        return $(selector(username));
    }

    public SelenideElement getPasswordField() {
        return $(selector(password));
    }

    public SelenideElement getLoginButton() {
        return $(selector(loginButton));
    }
}
