package nz.co.afor.view;

import com.codeborne.selenide.SelenideElement;
import io.appium.java_client.AppiumBy;
import org.openqa.selenium.By;

import static java.lang.String.format;

public interface View {
    void shouldExist();

    default By selector(String selector) {
        if (selector.startsWith("id:")) {
            return AppiumBy.accessibilityId(selector.replaceFirst("^id:",""));
        } else if (selector.startsWith("xpath:")) {
            return By.xpath(selector.replaceFirst("^xpath:",""));
        }
        throw new RuntimeException(format("Invalid selector type '%s'", selector));
    }
}
