package nz.co.afor.example.steps;

import io.cucumber.java8.En;
import nz.co.afor.view.HomeView;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Random;

import static com.codeborne.selenide.CollectionCondition.sizeGreaterThan;

public class MessageSteps implements En {

    @Autowired
    private HomeView homeView;

    public MessageSteps() {
        When("I select a person to send a message to", () -> {
            // Determine how many people are in the list
            int totalPeople = homeView.getPeople().shouldHave(sizeGreaterThan(0).because("There should be at least one person in the list")).size();

            // Select a random person
            homeView.getPeople().get(new Random().nextInt(totalPeople)).click();
        });
        And("I send the message {string}", (String message) -> {
            homeView.sendMessage(message);
        });
        Then("I should receive a message sent alert", () -> {
            homeView.assertMessageSent();
        });
    }
}
