package nz.co.afor.example.steps;

import com.codeborne.selenide.WebDriverRunner;
import io.appium.java_client.AppiumDriver;
import io.cucumber.java8.En;
import nz.co.afor.controller.LoginController;
import nz.co.afor.framework.mobile.Appium;
import nz.co.afor.model.Users;
import nz.co.afor.view.HomeView;
import nz.co.afor.view.LoginView;
import org.springframework.beans.factory.annotation.Autowired;

public class MobileSteps implements En {

    @Autowired
    private Users users;

    @Autowired
    private Appium appium;

    @Autowired
    private LoginView loginView;

    @Autowired
    private HomeView homeView;

    @Autowired
    private LoginController loginController;

    public MobileSteps() {
        Given("I am an {string} user", (String userType) -> {
            users.populate(userType);
        });
        And("I have the demo mobile app open", () -> {
            loginController.launch();
        });
        When("I log into the mobile app", () -> {
            loginController.login(users.get());
        });
        Then("I should see the home view", () -> {
           homeView.shouldExist();
        });
        Given("I am logged into the mobile app as an {string} user", (String userType) -> {
            users.populate(userType);
            loginController.launch();
            loginController.login(users.get());
        });
    }
}
